	<?php

	$numcop=1;

	?>



	<div class="modal-header">

	<button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>

	<h4 class="modal-title" id="titlemodal">Imprimir etiquetas</h4> 

	</div>



	<label id="lbl_nombre_prod" style="font-weight: bold;"><?php echo 'Producto: '.$_POST['pro_nom']?></label>

	<br />

	<label id="lbl_codbar" style="font-weight: bold;">Código de Barras: <?php echo $_POST['pro_codbar']?></label>



	<?php 

	if($_POST['vista']=='producto')

	{

	$numcop=1;

	?>

	<br />

	<label id="lbl_stock" style="font-weight: bold;">Stock Actual: <?php echo $_POST['pro_sto']?></label>

	<?php }?>



	<?php 

	if($_POST['vista']=='compra')

	{

	$numcop=$_POST['pro_sto'];

	?>

	<br />

	<label id="lbl_stock" style="font-weight: bold;">Cantidad: <?php echo $_POST['pro_sto']?></label>

	<?php }?>



	<br />

	<input type="hidden" id="hdd_codbar_cat_id" value="<?php echo $_POST['cat_id']?>">

	IMPRIMIR

	<input type="text" id="txt_codbar_numcop" focus ="true" style="width: 100px; height: 35px; font-size: 15px; font-weight: bold;"> ETIQUETA(S)



	<div class="box-footer pull-right">

		<button type="button" data-dismiss="modal" class="btn btn-default cancel">Cancelar</button>

	</div>



	<script type="text/javascript">



	$('#txt_codbar_numcop').val(<?php echo $numcop?>);





	$('#txt_codbar_numcop').autoNumeric({

	aSep: ',',

	aDec: '.',

	//aSign: 'S/. ',

	//pSign: 's',

	vMin: '0',

	vMax: '100'

	});



	$('#txt_codbar_numcop').keypress(function(e){

	if (e.keyCode == 13) {

		 $('#div_producto_form_codbar_dialog').modal('hide');

		 producto_codbar_datos();  

    }

	});





	function producto_codbar_datos()

	{

	   	var catid = $('#hdd_codbar_cat_id').val();

	    var numero = $('#txt_codbar_numcop').val().trim();





	    if(catid == ''){

	    	alert('No está capturando el id.');

	    	return false;

	    }

	    if(numero == '')

	    	numero = 1;



    	$.ajax({

			type: "POST",

			url: "../producto/producto_codbar_datos.php",

			async:true,

			dataType: "json",                    

			data: ({

				cat_id: catid,

				cant_print: numero

			}),

			beforeSend: function() {

				toastr["info"]('Imprimiendo etiquetas.');

	        },

			success: function(data){

				

				console.log(data);

                producto_codbar_etiqueta(data);

              

			},

			complete: function(){

			}

		});

	

	}



	function producto_codbar_etiqueta(datos)

	{

	$.ajax({

		type: "POST",

        url: "http://127.0.0.1/stylesinfinito/app/modulos/producto/producto_codbar_etiqueta_e2.php",

        async:true,

        dataType: "html",                      

        data: datos,

		beforeSend: function() {

			

        },

		success: function(data){

			//console.log(data);

			// if(data == 'exito')

			// $('#msj_producto').html("Listo");

		},

		complete: function(){

		}

	});

	}	



	</script>